### General

* [Overview](./)
* [Getting started](./getting_started.html)
* [Event handling overview](./events.html)
* [Disposal](./disposal.html)
* [Using without jQuery and Underscore](./no_deps.html)
* [Handling async deps](./handling_async.html)
* [Upgrading Chaplin](./upgrading.html)

### Core
* <a href="./chaplin.mediator.html" title="Global event bus">Chaplin.mediator</a>
* <a href="./chaplin.dispatcher.html" title="Broker between router and controller">Chaplin.Dispatcher</a>
* <a href="./chaplin.composer.html" title="Handles reuse of views between controller actions">Chaplin.Composer</a>
* <a href="./chaplin.layout.html" title="Top-level application view">Chaplin.Layout</a>
* <a href="./chaplin.application.html" title="Application bootstrapper">Chaplin.Application</a>

### MVC
* <a href="./chaplin.controller.html" title="For initializing models, collections and views">Chaplin.Controller</a>
* <a href="./chaplin.model.html" title="Chaplin&rsquo;s extension of `Backbone.Model`">Chaplin.Model</a>
* <a href="./chaplin.collection.html" title="Chaplin&rsquo;s extension of `Backbone.Collection`">Chaplin.Collection</a>
* <a href="./chaplin.view.html" title="Chaplin&rsquo;s extension of `Backbone.View`">Chaplin.View</a>
* <a href="./chaplin.collection_view.html" title="An extension of `Chaplin.View` for displaying collections">Chaplin.CollectionView</a>

### Libs
* <a href="./chaplin.event_broker.html" title="Mixin for communication with the mediator">Chaplin.EventBroker</a>
* <a href="./chaplin.sync_machine.html" title="Mixin for handling sync state">Chaplin.SyncMachine</a>
* <a href="./chaplin.router.html" title="Replacement for `Backbone.Router`">Chaplin.Router</a>
* <a href="./chaplin.support.html" title="Detection of browser features">Chaplin.support</a>
* <a href="./chaplin.utils.html" title="Generic utility functions">Chaplin.utils</a>

### More
* [Best practices and cookbook](https://github.com/chaplinjs/chaplin/wiki/)
* [Annotated source code](http://chaplinjs.org/annotated/chaplin.html)
